class HomeCity {
  int? id;
  String? label;
  String? countryCode;
  String? zip;
  int? numberOfAds;

  HomeCity({this.id, this.label, this.countryCode, this.zip, this.numberOfAds});

  HomeCity.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
    countryCode = json["countryCode"];
    zip = json["zip"];
    numberOfAds = json["numberOfAds"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["countryCode"] = countryCode;
    _data["zip"] = zip;
    _data["numberOfAds"] = numberOfAds;
    return _data;
  }

  HomeCity copyWith({
    int? id,
    String? label,
    String? countryCode,
    String? zip,
    int? numberOfAds,
  }) =>
      HomeCity(
        id: id ?? this.id,
        label: label ?? this.label,
        countryCode: countryCode ?? this.countryCode,
        zip: zip ?? this.zip,
        numberOfAds: numberOfAds ?? this.numberOfAds,
      );
}
