class TerminalInfos {
  String? accessToken;
  int? terminalId;
  String? oowoo;
  String? mode;
  int? button;

  TerminalInfos(
      {this.accessToken, this.terminalId, this.oowoo, this.mode, this.button});

  TerminalInfos.fromJson(Map<String, dynamic> json) {
    accessToken = json["accessToken"];
    terminalId = json["terminalId"];
    oowoo = json["oowoo"];
    mode = json["mode"];
    button = json["button"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["accessToken"] = accessToken;
    _data["terminalId"] = terminalId;
    _data["oowoo"] = oowoo;
    _data["mode"] = mode;
    _data["button"] = button;
    return _data;
  }

  TerminalInfos copyWith({
    String? accessToken,
    int? terminalId,
    String? oowoo,
    String? mode,
    int? button,
  }) =>
      TerminalInfos(
        accessToken: accessToken ?? this.accessToken,
        terminalId: terminalId ?? this.terminalId,
        oowoo: oowoo ?? this.oowoo,
        mode: mode ?? this.mode,
        button: button ?? this.button,
      );
}
