
class CalmCate {
  String? id;
  String? name;
  String? description;

  CalmCate({this.id, this.name, this.description});

  CalmCate.fromJson(Map<String, dynamic> json) {
    if(json["id"] is String)
      this.id = json["id"];
    if(json["name"] is String)
      this.name = json["name"];
    if(json["description"] is String)
      this.description = json["description"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["name"] = this.name;
    data["description"] = this.description;
    return data;
  }
}