class InfoByUsername {
  int? id;
  String? firebaseId;
  String? username;
  String? uniqueId;
  String? displayName;
  String? thumbnail;
  int? isPro;

  InfoByUsername({
    this.id,
    this.firebaseId,
    this.username,
    this.uniqueId,
    this.displayName,
    this.thumbnail,
    this.isPro,
  });

  InfoByUsername.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    firebaseId = json['firebaseId'] ?? '';
    username = json['username'] ?? '';
    isPro = json['isPro'];
    uniqueId = json['uniqueId'];
    displayName = json['displayName'] ?? '';
    thumbnail = json['thumbnail'] ?? '';
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = id;
    data['firebaseId'] = firebaseId;
    data['username'] = username;
    data['isPro'] = isPro;
    data['uniqueId'] = uniqueId;
    data['displayName'] = displayName;
    data['thumbnail'] = thumbnail;
    return data;
  }
}
