import 'pmb_device.dart';

class ScanQr {
  String? id;
  String? label;
  List<Beers>? beers;

  ScanQr({this.id, this.label, this.beers});

  ScanQr.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) this.id = json["id"];
    if (json["label"] is String) this.label = json["label"];
    if (json["beers"] is List)
      this.beers = json["beers"] == null
          ? null
          : (json["beers"] as List).map((e) => Beers.fromJson(e)).toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["label"] = this.label;
    if (this.beers != null) data["beers"] = this.beers?.map((e) => e.toJson()).toList();
    return data;
  }
}
 